<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="unionwiced__bt__gatt__request__data__t" kind="union" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_request_data_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="unionwiced__bt__gatt__request__data__t_1a356b17d98deda223b0a98c54605d69f9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__read__t">wiced_bt_gatt_read_t</ref></type>
        <definition>wiced_bt_gatt_read_t wiced_bt_gatt_request_data_t::read_req</definition>
        <argsstring />
        <name>read_req</name>
        <briefdescription>
<para>Parameters for GATTS_REQ_TYPE_READ. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="226" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="226" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__request__data__t_1a0e5a5b775e72d4f3abf19d7eb72e8606" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__write__t">wiced_bt_gatt_write_t</ref></type>
        <definition>wiced_bt_gatt_write_t wiced_bt_gatt_request_data_t::write_req</definition>
        <argsstring />
        <name>write_req</name>
        <briefdescription>
<para>Parameters for GATTS_REQ_TYPE_WRITE. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="227" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="227" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__request__data__t_1a4a4349da9ee9e7dcaa6abe1892422a98" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_request_data_t::handle</definition>
        <argsstring />
        <name>handle</name>
        <briefdescription>
<para>Parameters for GATTS_REQ_TYPE_CONF. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="228" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="228" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__request__data__t_1af3f2de5b48922da3f1e102b541bcd09c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_request_data_t::mtu</definition>
        <argsstring />
        <name>mtu</name>
        <briefdescription>
<para>Parameters for GATTS_REQ_TYPE_MTU. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="229" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="229" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__request__data__t_1aedd416b3fb9a6cf24ec0ac5321457b7d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1gaef863a6c4e0509e38bfcefb6a2ef6972">wiced_bt_gatt_exec_flag_t</ref></type>
        <definition>wiced_bt_gatt_exec_flag_t wiced_bt_gatt_request_data_t::exec_write</definition>
        <argsstring />
        <name>exec_write</name>
        <briefdescription>
<para>Parameters for GATTS_REQ_TYPE_WRITE_EXEC. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="230" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="230" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__request__data__t_1a7564f8639ec5edf9bfba56aa3cb0e221" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__validate__read__t">wiced_bt_gatt_validate_read_t</ref></type>
        <definition>wiced_bt_gatt_validate_read_t wiced_bt_gatt_request_data_t::validate_read_req</definition>
        <argsstring />
        <name>validate_read_req</name>
        <briefdescription>
<para>Parameters for validating read for multi-handle read requests. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="231" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="231" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Attribute information for GATT attribute requests. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="227">
        <label>wiced_bt_gatt_request_data_t</label>
        <link refid="unionwiced__bt__gatt__request__data__t" />
        <childnode refid="228" relation="usage">
          <edgelabel>read_req</edgelabel>
        </childnode>
        <childnode refid="229" relation="usage">
          <edgelabel>validate_read_req</edgelabel>
        </childnode>
        <childnode refid="230" relation="usage">
          <edgelabel>write_req</edgelabel>
        </childnode>
      </node>
      <node id="228">
        <label>wiced_bt_gatt_read_t</label>
        <link refid="structwiced__bt__gatt__read__t" />
      </node>
      <node id="229">
        <label>wiced_bt_gatt_validate_read_t</label>
        <link refid="structwiced__bt__gatt__validate__read__t" />
      </node>
      <node id="230">
        <label>wiced_bt_gatt_write_t</label>
        <link refid="structwiced__bt__gatt__write__t" />
      </node>
    </collaborationgraph>
    <location bodyend="232" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="224" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="225" />
    <listofallmembers>
      <member prot="public" refid="unionwiced__bt__gatt__request__data__t_1aedd416b3fb9a6cf24ec0ac5321457b7d" virt="non-virtual"><scope>wiced_bt_gatt_request_data_t</scope><name>exec_write</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__request__data__t_1a4a4349da9ee9e7dcaa6abe1892422a98" virt="non-virtual"><scope>wiced_bt_gatt_request_data_t</scope><name>handle</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__request__data__t_1af3f2de5b48922da3f1e102b541bcd09c" virt="non-virtual"><scope>wiced_bt_gatt_request_data_t</scope><name>mtu</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__request__data__t_1a356b17d98deda223b0a98c54605d69f9" virt="non-virtual"><scope>wiced_bt_gatt_request_data_t</scope><name>read_req</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__request__data__t_1a7564f8639ec5edf9bfba56aa3cb0e221" virt="non-virtual"><scope>wiced_bt_gatt_request_data_t</scope><name>validate_read_req</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__request__data__t_1a0e5a5b775e72d4f3abf19d7eb72e8606" virt="non-virtual"><scope>wiced_bt_gatt_request_data_t</scope><name>write_req</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>